> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hypersync.tartanhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vendor Connections

> Returns a list of vendor connections filtered by status.



## OpenAPI

````yaml GET /api/vendor/connections/
openapi: 3.0.0
info:
  title: Employee List API
  description: Retrieve a paginated list of employees from the organization.
  version: 1.0.0
servers:
  - url: https://{env}.tartanhq.com
    description: Dynamic environment-based server
    variables:
      env:
        default: dev
security: []
paths:
  /api/vendor/connections/:
    get:
      summary: Get Vendor Connections
      description: Returns a list of vendor connections filtered by status.
      parameters:
        - in: query
          name: status
          required: false
          schema:
            type: string
            enum:
              - pending
              - approved
              - rejected
          description: Filter connections by status (e.g., pending, approved).
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: success
                  pageInfo:
                    type: object
                    properties:
                      totalPages:
                        type: integer
                        example: 6
                      totalItems:
                        type: integer
                        example: 59
                      items:
                        type: integer
                        example: 10
                      next:
                        type: boolean
                        example: true
                      previous:
                        type: boolean
                        example: false
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        org_name:
                          type: string
                        org_id:
                          type: string
                          format: uuid
                        shared_data_points:
                          type: array
                          items:
                            type: string
                        not_shared_data_points:
                          type: array
                          items:
                            type: string
                        not_requested_data_points:
                          type: array
                          items:
                            type: string
                        last_successful_sync:
                          type: string
                          example: 10th July, 01:11 PM
                        sync_frequency:
                          type: string
                          nullable: true
                        hrms_code:
                          type: string
                          nullable: true
                        csm_user:
                          type: string
                        application_status_timestamp:
                          type: string
                          example: 10th July, 12:55 PM
                        created_by_user:
                          type: string
                        int_type:
                          type: string
                          example: Upload CSV
                        email:
                          type: string
                          format: email
                        phone:
                          type: string
                        is_international:
                          type: boolean
                        salary_details_flag:
                          type: boolean
                        application_connection_status:
                          type: string
                          example: Active
        '401':
          description: Unauthorized - Invalid token
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: 595e4f6f-5c53-4b70-8230-a5572da1ad5d
                  message:
                    type: string
                    example: Invalid token.
                  data:
                    type: string
                    nullable: true
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: 10d62daa-16ea-4960-84ba-916c20548352
                  message:
                    type: string
                    example: Internal Server Error
                  data:
                    type: string
                    nullable: true
      security:
        - TokenAuth: []
components:
  securitySchemes:
    TokenAuth:
      type: apiKey
      in: header
      name: Authorization

````